Subject: Re: [pim] draft-ietf-pim-igmp-mld-extension-01.txt - change subnet to link

From: Stig Venaas <[email-masked]>
Date: Tue, 26 Oct 2021 13:54:01 -0700

Hi James

Thanks for this recommendation. I agree. I'm sorry I overlooked it,
but I'm incorporating it now in revision 05.

Thanks,
Stig

On Sun, Jul 26, 2020 at 9:58 PM James A. (Jim) Stevens
<james.a.stevens=[email-masked]> wrote:
>
> SUMMARY - I recommend changing "subnet" to "link" in draft-ietf-pim-igmp-mld-extension-01.txt
>
> DETAILS -
>
> RFC 4903 (Multi-Link Subnet Issues) defined subnet and link in Section 2.2 as follows:
>
>    The term "link" is generally used to refer to a topological area
>    bounded by routers that decrement the IPv4 TTL or IPv6 Hop Limit when
>    forwarding the packet.  A link-local address prefix is defined in
>    both IPv4 [RFC3927] and IPv6 [RFC4291].
>
>    The term "subnet" is generally used to refer to a topological area
>    that uses the same address prefix, where that prefix is not further
>    subdivided except into individual addresses.
>
> Later on RFC 4903 section 4.1 recommends BUT DOES NOT MANDATE single-link subnets over multi-link subnets:
>
>    A multi-link subnet model should be avoided.  IETF working groups
>    using, or considering using, multi-link subnets today should
>    investigate moving to one of the other models.
>
> Section 4 of draft-ietf-pim-igmp-mld-extension-01.txt has the following sentence
>
>    When defining new types, care must be taken to ensure that nodes that
>    support the type can co-exist with nodes that don't, on the same subnet.
>
> My understanding is that this sentence and is describing nodes that can directly communicate with each other, i.e. the meaning of "link".
>
> Also, there are some networks, such as some military MANET networking waveforms that I work with, that support multi-link subnets and PIM multicasting.
>
> Thus, I recommend that the word "subnet" be changed to "link" in  draft-ietf-pim-igmp-mld-extension-01.txt
>
> Jim Stevens
>
> On Sun, Jul 12, 2020 at 2:02 PM <[email-masked]> wrote:
> >
> > Date: Sun, 12 Jul 2020 11:52:17 -0700
> > From: [email-masked]
> > To: <[email-masked]>
> > Cc: [email-masked]
> > Subject: [pim] I-D Action: draft-ietf-pim-igmp-mld-extension-01.txt
> > Message-ID: <[email-masked]>
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts directories.
> > This draft is a work item of the Protocols for IP Multicast WG of the IETF.
> >
> >         Title           : IGMPv3/MLDv2 Message Extension
> >         Authors         : Mahesh Sivakumar
> >                           Stig Venaas
> >                           Zheng(Sandy) Zhang
> >                           Hitoshi Asaeda
> >         Filename        : draft-ietf-pim-igmp-mld-extension-01.txt
> >         Pages           : 11
> >         Date            : 2020-07-12
> >
> > Abstract:
> >    IGMP and MLD protocols are extensible, but no extensions have been
> >    defined so far.  This document provides a well-defined way of
> >    extending IGMP and MLD, using a list of TLVs (Type, Length and
> >    Value).
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-pim-igmp-mld-extension/
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim